#{extends 'borderNG.html' /}
<ol class="breadcrumb">
	<li><a href="@{BerandaCtr.index()}">&{'sanggahan.home'}</a></li>
	<li><a href="@{lelang.LelangCtr.view(lelang.lls_id)}">&{'sanggahan.info_tender'}</a></li>
	<li class="active">&{'sanggahan.sanggahan_tender'}</li>
</ol>

#{tabmenuLelang tahapStarted /}

<div class="content">
#{if lelang.lelangV3 && active_user.rekanan}
    <div class="alert alert-danger">&{'sanggahan.tender_spse3'}</div>
#{/if}
#{elseif not_allowed}
    <div class="alert alert-danger">&{'sanggahan.tidak_diizinkan'}</div>
#{/elseif}
#{else}
#{alert /}
<div>
<table class="table table-sm">
	<tr>
		<th class="bg-warning" width="25%">&{'sanggahan.kode_tender'}</th>
		<td>${lelang.lls_id}</td>
	</tr>
	<tr>
		<th class="bg-warning">&{'sanggahan.nama_paket'}</th>
		<td>${lelang.paket.pkt_nama}</td>
	</tr>
	#{if lelang.isKonstruksi() && !(sanggahPra) }
			<tr>
		        <th class="bg-warning">&{'lelang.kategori'}</th>
		        <td colspan="3" >
		            ${lelang.kategori?.nama}
		        </td>
		    </tr>
		    #{if alllow_atur_jadwal_sanggah}
		    <tr>
		            <th class="bgwarning">Waktu Sanggah Banding</th>
		            <td>				            			                       
	                   	#{if active_user.isPanitia()}	               
	                        #{if jdwl_banding?.sgh_waktu_mulai } ${jdwl_banding?.sgh_waktu_mulai?.formatDateTime()} s.d. ${jdwl_banding?.sgh_waktu_selesai?.formatDateTime()} #{/if}
	                        #{if tahapAktif} 
	                           	 <a href="@{lelang.JadwalSanggahBandingCtr.ubah(lelang.lls_id)}" class="badge  badge-secondary dialog" title="Ubah Jadwal Sanggah Banding">Atur Jadwal</a>
	                    	#{/if}
	                    #{/if}
                        #{else}
                            ${jdwl_banding?.sgh_waktu_mulai?.formatDateTime()} s.d. ${jdwl_banding?.sgh_waktu_selesai?.formatDateTime()}
                        #{/else}
                    </td>
		     </tr>
		     <tr>
            	<th class="bgwarning">Status</th>
            	<td>
            		#{if jdwl_banding.isSedangProses() && !(jdwl_banding.isSelesai())}
            			Masa Sanggah banding sedang berlangsung
            		#{/if}
            		#{elseif jdwl_banding.isSelesai()}
            			Masa Sanggah banding sudah selesai
            		#{/elseif}
            		#{else}
            			Masa Sanggah Banding belum dimulai
            		#{/else}
            	</td>
        	</tr>
        	
        	<tr>
            	<th class="bgwarning">Sisa Waktu</th>
            	<td>
            		#{if jdwl_banding.isSedangProses() && !(jdwl_banding.isSelesai())}
            			${sisaWaktu}
            		#{/if}
            		#{else}
            			-
            		#{/else}
            	</td>
        	</tr>
    	#{/if}
	#{/if}
			#{if allow_kirim_sanggah}
			<td colspan="2" class="text-right">
				<input  type="button" id="kirimSanggah" value="&{'Kirim Sanggahan'}" class="btn btn-success"/>
			</td>
			#{/if}
			#{if allow_kirim_sanggah_banding}
			<td colspan="2" class="text-right">
				<input  type="button" id="kirimSanggahBanding" value="&{'Kirim Sanggah Banding'}" class="btn btn-success"/>
			</td>
			#{/if}
		</td>
	</tr>
</table>
</div>

<div class="bs-callout bs-callout-danger">
		&{'sanggahan.hdr_cps'}
		#{if !group.rekanan} &{'sanggahan.jwbn_3'} #{/if}
</div>
<div id="sanggahanList"></div>
<small class="padding2">
    <span class="label label-warning" title="Penyedia">R</span> &{'sanggahan.pesera'}
    <span class="label label-primary" title="Panitia">P</span> &{'sanggahan.pokja_pemilihan'}
</small>
#{if ket_jawab}
	<div class="bs-callout bs-callout-warning">&{'sanggahan.catatan'}</div>
#{/if}
<div id="sanggahan" style="display:none;">
  <form id="form-sanggah" action="${simpanUrl}" method="post" enctype="multipart/form-data">
  	#{authenticityToken /}
  	<div id="alert"></div>
	<table class="table table-sm">
	#{if active_user.isRekanan()}	
		<tr>
			<th width="15%">Kategori <span class="warning">*</span></th>
			<td>
				<table id="tblChecklist" class="table table-sm">
					#{if checklist}	
					#{list items:checklist, as:'item'}
					<input type="hidden" name="checklistKategori[${item_index-1}].cks_id" value="${item.cks_id}" />	
					<tr class="syarat">	
						<td width="5">
							#{if item?.checklist_master.checked}
								<input type="hidden" name="checklistKategori[${item_index-1}].ckm_id" value="${item.checklist_master.ckm_id}" />
								<input type="checkbox" name="checklistKategori[${item_index-1}].ckm_id" value="${item.checklist_master.ckm_id}" checked="checked" />	
							#{/if}
							#{else}
								<input type="checkbox" name="checklistKategori[${item_index-1}].ckm_id" value="${item.checklist_master.ckm_id}" #{if item.checked} checked="checked" #{/if} />
							#{/else}
						</td>	
						<td>
							${item?.checklist_master.ckm_nama}
						</td>
					</tr>	
					#{/list}
					#{/if}
				</table>
					
			</td>
		</tr>
	#{/if}
		
		<tr>
			<th>Uraian <span class="warning">*</span></th>
			<td><textarea cols="60" rows="10" id="uraian" name="uraian" class="form-control"></textarea></td>
		</tr>
		<tr>
			<th>Lampiran</th>
			<td><input type="file" name="file" id="file" value="" class="form-control" #{if active_user.rekanan} disabled #{/if}/></td>
		</tr>
	</table>
   </form>
</div>

<div id="sanggahan-banding" style="display:none;">
	<form id="form-sanggah-banding" action="${simpanBandingUrl}" method="post" enctype="multipart/form-data">
		#{authenticityToken /}
		<div id="alert-sanggah-banding"></div>
		<table class="table table-sm">
			<tr>
				<th>Uraian<span class="warning">*</span></th>
				<td><textarea cols="60" rows="10" id="uraian-banding" name="uraian" class="form-control"></textarea></td>
			</tr>
			<tr>
				<th>&{'sanggahan.data_dukung'}</th>
				<td><input type="file" name="datadukung" id="file-data-dukung" value="" class="form-control"/></td>
			</tr>
            <tr>
				<th>&{'sanggahan.jaminan_sanggah_banding'}<span class="warning">*</span></th>
				<td><input type="file" name="file" id="file-banding" value="" class="form-control"/></td>
			</tr>
		</table>
	</form>
</div>
#{/else}
</div>

#{set 'css_custom' }
<link href="https://unpkg.com/trumbowyg@2.21.0/dist/ui/trumbowyg.min.css" rel="stylesheet" type="text/css">
#{/set}

#{set 'custom_script'}
<script type="text/javascript" src="https://unpkg.com/trumbowyg@2.21.0/dist/trumbowyg.min.js"></script>
<script type="text/javascript" src="https://unpkg.com/trumbowyg@2.21.0/dist/plugins/cleanpaste/trumbowyg.cleanpaste.min.js"></script>
<script type="text/javascript" src="#{assets '/js/trumbowyg.config.js'/}"></script>
<script type="text/javascript">
	function load_content() {
	    $('#sanggahanList').load('${listUrl}');
	}
	
	load_content();
	setInterval(load_content, 30000) // 1 menit update data
	var sanggahan_content = $('#sanggahan').contents();
	
	function balas(dsl_id)
	{
		$("#form-sanggah").append('<input type="hidden" name="sanggahan_id" value="'+dsl_id+'" />');
		BootstrapDialog.show({
			size: BootstrapDialog.SIZE_WIDE,
			draggable: true,
			title:'Kirim Balasan Sanggahan', 
			message:sanggahan_content,
            onshown: function(){
              	$('#uraian').trumbowyg({
					btns : [['viewHTML'], ['undo', 'redo'], ['formatting'], ['strong', 'em', 'del'], ['superscript', 'subscript'], ['link'], ['justifyLeft', 'justifyCenter', 'justifyRight', 'justifyFull'],['unorderedList', 'orderedList']],
					autogrow : true,
					removeformatPasted: true
				})
            },
			buttons: [{label: 'Kirim', cssClass : 'btn-success',
                action: function(dialog) {
                    var uraian = $('#uraian').trumbowyg('html');
                    if(uraian == null || uraian == "" || uraian == "<br>") {
                        $('#alert').html('<div class="alert alert-danger">Uraian wajib diisi</div>')
                    }
                    else {
                        $('#form-sanggah').submit();
                    }
                }
            }, {label: 'Batal',
                action: function(dialog) {
                	$('#uraian').val('');
                	$('#file').val('');
                    dialog.close();
                }
            }]		
		});
	}
	
	#{if allow_kirim_sanggah}
	$('input[type="checkbox"]').click(function(){
	    var checked = $('input[type="checkbox"]:checked').length;
	    if (checked < 1) {
	    	$('.nicEdit-main').prop("contenteditable","false");
	    	$('#file').prop("disabled", true);
	    } else {
	    	$('.nicEdit-main').prop("contenteditable", "true");
        	$('#file').prop("disabled", false);
	    }
	});
	$("#kirimSanggah").click(function(){
		BootstrapDialog.show({
			size: BootstrapDialog.SIZE_WIDE,
			draggable: true,
			title:'Kirim Sanggahan', 
			message:sanggahan_content,
            onshown: function(){
            	$('#uraian').trumbowyg({
					btns : [['viewHTML'], ['undo', 'redo'], ['formatting'], ['strong', 'em', 'del'], ['superscript', 'subscript'], ['link'], ['justifyLeft', 'justifyCenter', 'justifyRight', 'justifyFull'],['unorderedList', 'orderedList']],
					autogrow : true,
					removeformatPasted: true
				})
            },
			buttons: [{
				cssClass : 'btn-success',
                label: 'Kirim',
                action: function(dialog) {
                    var uraian = $('#uraian').trumbowyg('html');
                    var checked = $('input[type="checkbox"]:checked').length;
                    if (checked < 1) {
                    	$('#alert').html('<div class="alert alert-danger">Kategori wajib ditentukan minimal 1.</div>')
                    } else if(uraian == null || uraian == "" || uraian == "<br>") {
                        $('#alert').html('<div class="alert alert-danger">Uraian wajib diisi</div>')
                        $("#uraian").focus();
                    } else {
                        $('#form-sanggah').submit();
                    }
                }
            }, {
                label: 'Batal',
                action: function(dialog) {
                	$('#uraian').val('');
                	$('#file').val('');
                    dialog.close();
                }
            }]		
		});
	});
	#{/if}

	#{if allow_kirim_sanggah_banding}
    var sanggahan_banding_content = $('#sanggahan-banding').contents();
	$("#kirimSanggahBanding").click(function(){
		BootstrapDialog.show({
			size: BootstrapDialog.SIZE_WIDE,
			draggable: true,
			title:'Kirim Sanggahan Banding',
			message:sanggahan_banding_content,
			onshown: function(){
				$('#uraian-banding').trumbowyg({
					btns : [['viewHTML'], ['undo', 'redo'], ['formatting'], ['strong', 'em', 'del'], ['superscript', 'subscript'], ['link'], ['justifyLeft', 'justifyCenter', 'justifyRight', 'justifyFull'],['unorderedList', 'orderedList']],
					autogrow : true,
					removeformatPasted: true
				});
			},
			buttons: [{
				cssClass : 'btn-success',
				label: 'Kirim',
				action: function(dialog) {
					var uraian = $('#uraian-banding').trumbowyg('html');
					var file = $("#file-banding").val();
					if(uraian == null || uraian == "" || uraian == "<br>") {
						$('#alert-sanggah-banding').html('<div class="alert alert-danger">Uraian wajib diisi</div>');
						$("#uraian-banding").focus();
					}
					else if(file == null || file == ""){
                        $('#alert-sanggah-banding').html('<div class="alert alert-danger">Jaminan wajib diisi</div>');
                        $("#file-banding").focus();
					}
                	else {
						$('#form-sanggah-banding').submit();
					}
				}
			}, {
				label: 'Batal',
				action: function(dialog) {
					$('#uraian-banding').val('');
					$('#file-data-dukung').val('');
					$('#file-banding').val('');
					dialog.close();
				}
			}]
		});
	});
	#{/if}
</script>
#{/set}